<?php 
    $page_title=(isset($_GET['color_id'])) ? 'Edit Color' : 'Create Color';
    include("includes/header.php");
    require("includes/lb_helper.php");
    require("language/language.php");
    require_once("thumbnail_images.class.php");
    
    $page_save=(isset($_GET['color_id'])) ? 'Save' : 'Create';
    
    if(isset($_POST['submit']) and isset($_GET['add'])){
        
        $data = array( 
            'color_name'  =>  cleanInput($_POST['color_name']),
            'color_code'  =>  $_POST['color_code']
        );  
        
        $qry = Insert('tbl_color',$data);	

        
        $_SESSION['msg']="10";
        $_SESSION['class']='success';
        header( "Location:manage_color.php");
        exit;
    }
    
    if(isset($_GET['color_id'])){
        $qry="SELECT * FROM tbl_color where color_id='".$_GET['color_id']."'";
        $result=mysqli_query($mysqli,$qry);
        $row=mysqli_fetch_assoc($result);
    }
    
    if(isset($_POST['submit']) and isset($_POST['color_id'])){
        
        
        $data = array( 
           'color_name'  =>  cleanInput($_POST['color_name']),
           'color_code'  =>  $_POST['color_code']
        );	

        $update=Update('tbl_color', $data, "WHERE color_id = '".$_POST['color_id']."'");

        $_SESSION['msg']="11";
        $_SESSION['class']='success';
        header( "Location:create_color.php?color_id=".$_POST['color_id']);
        exit;
    }
?>

<!-- Start: main -->
<main id="nsofts_main">
    <div class="nsofts-container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb align-items-center">
                <li class="breadcrumb-item d-inline-flex"><a href="dashboard.php"><i class="ri-home-4-fill"></i></a></li>
                <li class="breadcrumb-item d-inline-flex active" aria-current="page"><?php echo (isset($page_title)) ? $page_title : "" ?></li>
            </ol>
        </nav>
            
        <div class="row g-4">
            <div class="col-12">
                <div class="card h-100">
                    <div class="card-body p-4">
                        <h5 class="mb-3"><?=$page_title ?></h5>
                        <form action="" name="addeditcategory" method="POST" enctype="multipart/form-data">
                            <input  type="hidden" name="color_id" value="<?=(isset($_GET['color_id'])) ? $_GET['color_id'] : ''?>" />
                            
                            <div class="mb-3 row">
                                <label class="col-sm-2 col-form-label">Color Name</label>
                                <div class="col-sm-10">
                                     <input type="text" name="color_name" class="form-control" value="<?php if(isset($_GET['color_id'])){echo $row['color_name'];}?>" required>
                                </div>
                            </div>
                            
                            
                            <div class="mb-3 row">
                                <label class="col-sm-2 col-form-label">Color picker</label>
                                <div class="col-sm-10">
                                    <input type="color" value="<?php if(isset($_GET['color_id'])){echo $row['color_code'];} else { echo '#e91e63';}?>" name="color_code" 
                                    class="form-control" style="height: 40px;">
                                </div>
                            </div>
                            
                            <div class="mb-3 row">
                                <div class="mb-3 row">
                                    <label class="col-sm-2 col-form-label">&nbsp;</label>
                                    <div class="col-sm-10">
                                        <button type="submit" name="submit" class="btn btn-primary" style="min-width: 120px;"><?=$page_save?></button>
                                    </div>
                                </div>
                            </div>
                            
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
<!-- End: main -->
    
<?php include("includes/footer.php");?> 